Development

#6252 (generateCacheKey does not coverts dots to underscorse in user given hostname)

You must first sign up to be able to contribute.

Ticket #6252 (closed defect: fixed)

Opened 6 years ago

Last modified 5 years ago

generateCacheKey does not coverts dots to underscorse in user given hostname

Reported by: Xelah Assigned to: fabien
Priority: major Milestone: 1.1.8
Component: cache Version: 1.2.5
Keywords: cache, hostname Cc:
Qualification: Unreviewed

Description

In sfViewCacheManager.class.php function generateCacheKey does not convert dots to underscores in users given hostname. If hostname is taken form server variables it will be converted properly to have all dots replaced with underscores. If you pass your own hostname it wont do that and try to search for improper domain like:

/example.com/all/sf_cache_partial

insted of

/example_com/all/sf_cache_partial

I've uploaded simple fix for this issue.

This bug affects entire 1.1 and 1.2 branch.

I marked it as defect because I'm not sure if this is documentation mistake or defect.

Attachments

sfViewCacheManager.class.php.diff (0.7 kB) - added by Xelah on 04/08/09 18:16:41.
sfViewCacheManager.class.php.patch (0.6 kB) - added by adrive on 06/12/09 17:21:14.

Change History

04/08/09 18:16:41 changed by Xelah

  • attachment sfViewCacheManager.class.php.diff added.

04/21/09 10:30:40 changed by fabien

  • milestone set to 1.1.8.

04/21/09 10:30:59 changed by fabien

  • status changed from new to closed.
  • resolution set to fixed.

(In [17477]) [1.1, 1.2, 1.3] fixed generateCacheKey does not coverts dots to underscorse in user given hostname (closes #6252)

06/12/09 17:20:23 changed by adrive

  • status changed from closed to reopened.
  • resolution deleted.

The commited changeset breaks wildcart removing of cached keys, because * is replaced by _.

$cacheManager->remove('user/show?id=*', '*');  // Remove records for every host and all users

06/12/09 17:21:14 changed by adrive

  • attachment sfViewCacheManager.class.php.patch added.

06/15/09 09:25:18 changed by fabien

  • status changed from reopened to closed.
  • resolution set to fixed.

(In [19256]) [1.1, 1.2, 1.3] fixed generateCacheKey does not coverts dots to underscorse in user given hostname (closes #6252)